Index: /branches/avi_play/configure.ac
===================================================================
--- /branches/avi_play/configure.ac	(revision 6012)
+++ /branches/avi_play/configure.ac	(revision 6013)
@@ -665,13 +665,29 @@
         echo "------------------"
         echo "avformat library not found."
-        echo "please install the FFmpeg library, which can be found at http://ffmpeg.sourceforge.new"
-        echo "------------------"
-        exit -1
-     fi
-	AC_CHECK_LIB([avcodec], [main], [FOUND_avcodec=yes; LIBS="$LIBS -lavcodec"])
+        echo "please install the FFmpeg library, which can be found at http://ffmpeg.sourceforge.net"
+        echo "------------------"
+        exit -1
+     fi
+  AC_CHECK_LIB([avcodec], [main], [FOUND_avcodec=yes; LIBS="$LIBS -lavcodec"])
      if test x$FOUND_avcodec != xyes ; then
         echo "------------------"
         echo "avcodec library not found."
-        echo "please install the FFmpeg library, which can be found at http://ffmpeg.sourceforge.new"
+        echo "please install the FFmpeg library, which can be found at http://ffmpeg.sourceforge.net"
+        echo "------------------"
+        exit -1
+     fi
+  AC_CHECK_LIB([avutil], [main], [FOUND_avutil=yes; LIBS="$LIBS -lavutil"])
+     if test x$FOUND_avutil != xyes ; then
+        echo "------------------"
+        echo "avutil library not found."
+        echo "please install the FFmpeg library, which can be found at http://ffmpeg.sourceforge.net"
+        echo "------------------"
+        exit -1
+     fi
+  AC_CHECK_LIB([dts], [main], [FOUND_dts=yes; LIBS="$LIBS -ldts"])
+     if test x$FOUND_dts != xyes ; then
+        echo "------------------"
+        echo "dts library not found."
+        echo "please install the FFmpeg library, which can be found at http://ffmpeg.sourceforge.net"
         echo "------------------"
         exit -1
Index: /branches/avi_play/src/lib/graphics/importer/media_container.cc
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/media_container.cc	(revision 6012)
+++ /branches/avi_play/src/lib/graphics/importer/media_container.cc	(revision 6013)
@@ -40,6 +40,6 @@
   av_register_all();
 
-	current_frame = 0;
-	num_frames = 0;
+  current_frame = 0;
+  num_frames = 0;
 
   if (filename != NULL)
@@ -53,7 +53,7 @@
 MediaContainer::~MediaContainer()
 {
-	//av_free(pFrameRGB);
+  av_free(pFrameRGB);
 
-	/* Free the frame */
+  /* Free the frame */
   av_free(frame);
 
@@ -78,14 +78,14 @@
 SDL_Surface* MediaContainer::getFrame(int frame_number)
 {
-	SDL_Surface* frame;
-	
+  SDL_Surface* frame;
 
-	return frame;
+
+  return frame;
 }
 
 SDL_Surface* MediaContainer::getNextFrame()
 {
-	current_frame++;
-	return this->getFrame(current_frame);
+  current_frame++;
+  return this->getFrame(current_frame);
 }
 
@@ -96,7 +96,7 @@
     PRINTF(1)("Could not open %s\n", filename);
 
-	/* Retrieve stream information */
+  /* Retrieve stream information */
   if (av_find_stream_info(format_context) < 0)
-        PRINTF(1)("Could not find stream information in %s\n", filename); 
+    PRINTF(1)("Could not find stream information in %s\n", filename); 
 
   // Dump information about file onto standard error
@@ -106,32 +106,30 @@
   video_stream = -1;
   for(int i = 0; i < format_context->nb_streams; i++)
-	{
-		// NOTE: different code for the 0.4.9-pre1 release of ffmpeg (tardis)
-		// if(format_context->streams[i]->codec.codec_type == CODEC_TYPE_VIDEO)		
-  	if(format_context->streams[i]->codec->codec_type == CODEC_TYPE_VIDEO)
+  {
+    // NOTE: different code for the 0.4.9-pre1 release of ffmpeg (tardis)
+    // if(format_context->streams[i]->codec.codec_type == CODEC_TYPE_VIDEO)		
+    if(format_context->streams[i]->codec->codec_type == CODEC_TYPE_VIDEO)
     {
-    	video_stream = i;
+      video_stream = i;
       break;
     }
-	}
+  }
   
-	if(video_stream == -1)
-  	PRINTF(1)("Could not find a video stream in %s\n", filename);
+  if(video_stream == -1)
+    PRINTF(1)("Could not find a video stream in %s\n", filename);
 
-	/* Get a pointer to the codec context for the video stream */
-	// NOTE: different code for the 0.4.9-pre1 release of ffmpeg (tardis)
-	// codec_context = &format_context->streams[video_stream]->codec;
+  /* Get a pointer to the codec context for the video stream */
+  // NOTE: different code for the 0.4.9-pre1 release of ffmpeg (tardis)
+  // codec_context = &format_context->streams[video_stream]->codec;
   codec_context = format_context->streams[video_stream]->codec;
 
-	/* Find the decoder for the video stream */
+  /* Find the decoder for the video stream */
   codec = avcodec_find_decoder(codec_context->codec_id);
   if (codec == NULL)
-  	PRINTF(1)("Could not find codec\n");
+    PRINTF(1)("Could not find codec\n");
 
-	/* Open codec */
+  /* Open codec */
   if (avcodec_open(codec_context, codec) < 0)
-		PRINTF(1)("Could not open codec\n");
-
-	
+    PRINTF(1)("Could not open codec\n");	
 
 }
Index: /branches/avi_play/src/lib/sound/sound_engine.cc
===================================================================
--- /branches/avi_play/src/lib/sound/sound_engine.cc	(revision 6012)
+++ /branches/avi_play/src/lib/sound/sound_engine.cc	(revision 6013)
@@ -294,4 +294,5 @@
   ALCchar deviceName[] =
 #endif
+
 #ifdef __WIN32__
       "Direct3D";
Index: /branches/avi_play/src/subprojects/importer/importer.cc
===================================================================
--- /branches/avi_play/src/subprojects/importer/importer.cc	(revision 6012)
+++ /branches/avi_play/src/subprojects/importer/importer.cc	(revision 6013)
@@ -31,7 +31,7 @@
 void Framework::moduleInit(int argc, char** argv)
 {
-	//MediaContainer* test;
+  MediaContainer* test;
 	
-	//test = new MediaContainer(argv[1]);	
+  test = new MediaContainer(argv[1]);	
 
 
Index: /branches/avi_play/src/subprojects/importer/multitex.cc
===================================================================
--- /branches/avi_play/src/subprojects/importer/multitex.cc	(revision 6012)
+++ /branches/avi_play/src/subprojects/importer/multitex.cc	(revision 6013)
@@ -74,11 +74,11 @@
         {
         case SDLK_1:
-					obj = new PrimitiveModel(PRIM_CUBE, 10.0);
+          obj = new PrimitiveModel(PRIM_CUBE, 10.0);
           break;
-				case SDLK_2:
-					obj = new PrimitiveModel(PRIM_SPHERE, 10.0);
+	case SDLK_2:
+          obj = new PrimitiveModel(PRIM_SPHERE, 10.0);
           break;
-				case SDLK_3:
-					obj = new PrimitiveModel(PRIM_PLANE, 10.0);
+        case SDLK_3:
+          obj = new PrimitiveModel(PRIM_PLANE, 10.0);
           break;
         }
